Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.phase.custom.scope
Class CustomSolverPhaseScope

    java.lang.Object
      org.optaplanner.core.impl.phase.AbstractSolverPhaseScope
          org.optaplanner.core.impl.phase.custom.scope.CustomSolverPhaseScope

    public class CustomSolverPhaseScope

extends AbstractSolverPhaseScope

Field Summary

Fields inherited from class org.optaplanner.core.impl.phase.AbstractSolverPhaseScope
`bestSolutionStepIndex, logger, solverScope, startingScore, startingSystemTimeMillis`

Constructor Summary
`CustomSolverPhaseScope(DefaultSolverScope solverScope)`

Method Summary
`CustomStepScope` | `getLastCompletedStepScope()`
`void` | `setLastCompletedStepScope(CustomStepScope lastCompletedStepScope)`

Methods inherited from class org.optaplanner.core.impl.phase.AbstractSolverPhaseScope
`assertExpectedUndoMoveScore, assertExpectedWorkingScore, assertWorkingScoreFromScratch, calculatePhaseTimeMillisSpend, calculateScore, calculateSolverTimeMillisSpend, getBestScore, getBestSolutionStepIndex, getScoreDefinition, getScoreDirector, getSolutionDescriptor, getSolverScope, getStartingScore, getStartingSystemTimeMillis, getWorkingEntityCount, getWorkingEntityList, getWorkingRandom, getWorkingSolution, getWorkingValueCount, isBestSolutionInitialized, reset, setBestSolutionStepIndex, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CustomSolverPhaseScope

    public CustomSolverPhaseScope(DefaultSolverScope solverScope)

Method Detail

### getLastCompletedStepScope

    public CustomStepScope getLastCompletedStepScope()

  Specified by:
    `getLastCompletedStepScope` in class `AbstractSolverPhaseScope`

### setLastCompletedStepScope

    public void setLastCompletedStepScope(CustomStepScope lastCompletedStepScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.